Models
List catalog models and whether this environment allows them
GET /v1/models · SDK listModels · CLI deployments model list
GET
Requires models:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100provider?stringRestrict results to one model provider.
Value in
"bedrock""openai""openrouter"capability?stringRestrict results to models that advertise one capability.
Value in
"tool_calling""structured_outputs""image_input""reasoning"allowed?booleanRestrict results to models the environment's model policy allows or denies.
curated?booleanRestrict results to curated or non-curated models.
search?stringCase-insensitive substring of the model id or display name.
Length
1 <= length <= 100x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListModelsResponse
application/json- response
items*array<>nextCursor*string|nullpolicy*curl -X GET "https://example.com/v1/models" \ -H "x-deployments-environment: string"{ "items": [ { "allowed": true, "capabilities": { "imageInput": true, "reasoning": true, "structuredOutputs": true, "toolCalling": true }, "contextWindowTokens": 1, "curated": true, "displayName": "string", "maximumOutputTokens": 1, "modelId": "string", "pricing": { "cacheReadUsdPerMillionTokens": 0, "cacheWriteUsdPerMillionTokens": 0, "inputUsdPerMillionTokens": 0, "outputUsdPerMillionTokens": 0, "tiers": [ { "cacheReadUsdPerMillionTokens": 0, "cacheWriteUsdPerMillionTokens": 0, "inputUsdPerMillionTokens": 0, "outputUsdPerMillionTokens": 0, "minPromptTokens": 1 } ] }, "provider": "bedrock", "providerModelId": "string" } ], "nextCursor": "string", "policy": { "modelPolicyId": "string", "source": "curated_defaults" }}